%define upstream_name    Net-Rendezvous-Publish-Backend-Howl
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Backend module using howl for Net::Rendezvous
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org//CPAN/authors/id/R/RC/RCLAMP/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	howl-devel
BuildRequires:  perl-Net-Rendezvous 
BuildRequires:  perl-Module-Build
BuildRequires:  perl-ExtUtils-ParseXS
BuildRequires:  perl-ExtUtils-CBuilder
BuildRequires:  perl-Module-Pluggable
BuildRequires:  perl-Class-Accessor-Lvalue
BuildRequires:	perl-devel 

Provides:       perl-Net-Rendezvous-Publish-Backend

%description
This module interfaces to the Porchdog's Howl library in order to allow 
service publishing.
It is used by Net::Rendezvous::Publish, in order to adapt to
different mDns implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL INSTALLDIRS=vendor

%check
# requires mdns running
#./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=%buildroot installdirs=vendor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-4.mga3
+ Revision: 370859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-3.mga3
+ Revision: 250998
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.30.0-2.mga2
+ Revision: 104866
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 36454
- mageia rebuild
- imported package perl-Net-Rendezvous-Publish-Backend-Howl

